*Purpose: Create formats for PLS_FY22_AE_pud22i;

proc format lib=work;
value $YESNO
'Y'	=	'Y-Yes'
'N'	=	'N-No'
'M'	=	'M-Missing'
;
value $MISSMF
'M'	=	'M-Missing'
;
value $GTYPEF
'M'	=	'M-Missing'
 other=[$30.]
;
value $PHONF
'-3'	=	'-3-Temporarily closed administrative entity'
'-4'	=	'-4-Not Applicable'
;
value $CRELF
'HQ'	=	'HQ-Headquarters of a federation or cooperative'
'ME'	=	'ME-Member of a federation or cooperative'
'NO'	=	'NO-Not a member of a federation or cooperative'
;
value $CLEGF
'CC'	=	'CC-City/County'
'CI'	=	'CI-Municipal Government (city, town, or village)'
'CO'	=	'CO-County/Parish'
'LD'	=	'LD-Library District'
'MJ'	=	'MJ-Multi-jurisdictional'
'NL'	=	'NL-Native American Tribal Government'
'NP'	=	'NP-Non-profit Association or Agency'
'SD'	=	'SD-School District'
'OT'	=	'OT-Other'
;
value $CADMF
'MA'	=	'MA-Administrative Entity with multiple direct service outlets where administrative offices are separate'
'MO'	=	'MO-Administrative Entity with multiple direct service outlets where administrative offices are not separate'
'SO'	=	'SO-Single Outlet Administrative Entity'
;
value $GEOF
'PL1'	=	'PL1-Place (e.g., incorporated city or village, censusdesignated), entirety'
'PL2'	=	'PL2-Place (e.g., incorporated city or village, censusdesignated), overlap'
'MP1'	=	'MP1-Multi-Place, entirety'
'MP2'	=	'MP2-Multi-Place, overlap'
'CD1'	=	'CD1-Minor Civil Division [MCD] (e.g., town, township), entirety'
'CD2'	=	'CD2-Minor Civil Division [MCD] (e.g., town, township), overlap'
'MD1'	=	'MD1-Multi-MCD, entirety'
'MD2'	=	'MD2-Multi-MCD, overlap'
'CO1'	=	'CO1-County or Equivalent, entirety'
'CO2'	=	'CO2-County or Equivalent, overlap'
'CO3'	=	'CO3-County or Equivalent, remainder excluding AEs of contained geographies'
'MC1'	=	'MC1-Multi-County, entirety'
'MC2'	=	'MC2-Multi-County, overlap'
'MC3'	=	'MC3-Multi-County, remainder excluding AEs of contained geographies'
'SU1'	=	'SU1-School District - Unified, entirety'
'SU2'	=	'SU2-School District - Unified, overlap'
'SE1'	=	'SE1-School District - Elementary, entirety'
'SE2'	=	'SE2-School District - Elementary, overlap'
'SS1'	=	'SS1-School District - Secondary, entirety'
'SS2'	=	'SS2-School District - Secondary, overlap'
'OTH'	=	'OTH-Other'
;
value $OBERGF
'01'	=	'01-New England (CT ME MA NH RI VT)'
'02'	=	'02-Mid East (DE DC MD NJ NY PA)'
'03'	=	'03-Great Lakes (IL IN MI OH WI)'
'04'	=	'04-Plains (IA KS MN MO NE ND SD)'
'05'	=	'05-Southeast (AL AR FL GA KY LA MS NC SC TN VA WV)'
'06'	=	'06-Southwest (AZ NM OK TX)'
'07'	=	'07-Rocky Mountains (CO ID MT UT WY)'
'08'	=	'08-Far West (AK CA HI NV OR WA)'
'09'	=	'09-Outlying Areas (AS GU MP PR VI)'
;
value $RSTATF
'1'	=	'1-Respondent, with no imputed data '
'2'	=	'2-Respondent, with both reported and imputed data '
'3'	=	'3-Nonrespondent, not imputed '
'4'	=	'4-Nonrespondent with imputed data '
;
value $STATSF
'00'	=	'00-No change from last year'
'01'	=	'01-Existing Administrative Entity or Outlet absorbs another Administrative Entity or Outlet'
'02'	=	'02-Newly created Administrative Entity or Outlet'
'03'	=	'03-Closed'
'04'	=	'04-Move Outlet to a newly created Administrative Entity'
'05'	=	'05-Merge two or more Administrative Entities or Outlets to form a new Administrative Entity or Outlet'
'08'	=	'08-Restored a closed Administrative Entity or Outlet record'
'09'	=	'09-Restored an incorrectly deleted Administrative Entity or Outlet'
'10'	=	'10-Delete an incorrect record'
'11'	=	'11-Outlet moved to a different previously existing Administrative Entity'
'13'	=	'13-Add an existing Administrative Entity or Outlet not previously reported'
'22'	=	'22-Future Administrative Entity FSCS ID Request'
'23'	=	'23-Temporary Closure'
'24'	=	'24-Restore/Undo Was a 23 (Reopen a Temporarily Closed Administrative Entity)'
'25'    =   '25-Survey nonrespondent'
;
value $STATNF
'00'	=	'00-No change from last year'
'06'	=	'06-Official name change'
'14'	=	'14-Minor name change'
;
value $STATAF
'00'	=	'00-No change from last year'
'07'	=	'07-Moved to a new location'
'15'	=	'15-Minor address change'
;
value $LOCALF
'M'		=	'M-Missing'
'11'	=	'11-City, Large'
'12'	=	'12-City, Mid-size'
'13'	=	'13-City, Small'
'21'	=	'21-Suburb, Large'
'22'	=	'22-Suburb, Mid-size'
'23'	=	'23-Suburb, Small'
'31'	=	'31-Town, Fringe'
'32'	=	'32-Town, Distant'
'33'	=	'33-Town, Remote'
'41'	=	'41-Rural, Fringe'
'42'	=	'42-Rural, Distant'
'43'	=	'43-Rural, Remote'
;
value LONF
other	=   [13.7]
;
value LATF
other	=   [11.7]
;
value $MICMETF
'N'	=	'N-Not applicable'
'0'	=	'0-Micropolitan area'
'1'	=	'1-Metropolitan area'
;
value MISS1F
-1	=	'-1-Missing'
;
value MISS3F
-1	=	'-1-Missing'
-3	=	'-3-Temporarily closed administrative entity'
-4	=	'-4-Not Applicable'
-9  =   '-9-Data were suppressed for analytic purposes'
;
value CENF
-1	=	'-1-Missing'
-4  = 	'-4-Not applicable'
;
value STFF
-1	=	'-1-Missing'
-3	=	'-3-Temporarily closed administrative entity'
other = [9.2]
;
value TOTSTFF
-1	=	'-1-Missing'
-3	=	'-3-Temporarily closed administrative entity'
other = [10.2]
;
value $DATF
'-3'	=	'-3-Temporarily closed administrative entity'
;
value SUPF
-1	=	'-1-Missing'
-3	=	'-3-Temporarily closed administrative entity'
-9  =	'-9-Data suppressed to protect confidentiality'
;
value $IMPF
'R_22'	=	'R_22-Data were reported and not imputed'
'IG21'	=	'IG21-Prior year data multiplied by cell mean growth rate'
'IG20'	=	'IG20-Prior year data multiplied by cell mean growth rate'
'IG19'	=	'IG19-Prior year data multiplied by cell mean growth rate'
'IG18'	=	'IG18-Prior year data multiplied by cell mean growth rate'
'IQ22'	=	'IQ22-Adjusted cell mean'
'IJ22'	=	'IJ22-Unadjusted cell mean'
'IK21'	=	'IK21-Prior year ratio to another item'
'IK20'	=	'IK20-Prior year ratio to another item'
'IK19'	=	'IK19-Prior year ratio to another item'
'IK18'	=	'IK18-Prior year ratio to another item'
'ID22'	=	'ID22-Cell median ratio to another item'
'IP21'	=	'IP21-Data carried forward'
'IP20'	=	'IP20-Data carried forward'
'IP19'	=	'IP19-Data carried forward'
'IP18'	=	'IP18-Data carried forward'
'IM22'	=	'IM22-Unadjusted cell median'
'IT22'	=	'IT22-Total to detail items'
'IB22'	=	'IB22-Raking of detail items to match totals'
'IS22'	=	'IS22-Special imputation procedures'
'IY22'	=	'IY22-Consistency check derived value'
'U_22'	=	'U_22-Not applicable, outlying area, or temporary closure  no imputation done'
'E_22'	=	'E_22-Data were reported and edited for logical consistency'
'L_22'  =	'L_22-Data were suppressed for analytic purposes'
'H_22'  =   'H_22-Data were suppressed to protect confidentiality'
;

value $GEOSTAF
'E' = 'E-Matched'
'U' = 'U-Unmatched'
'T' = 'T-Tied' 
;
value $RPTF
'CT' = 'CT-Annual Count'
'ES' = 'ES-Annual Estimate Based on Typical Week(s)'
'M'  = 'M-Missing'
;
value $GEOMT
'DISTANCEMARKER' =  'DISTANCEMARKER-A street address that represents the linear distance along a street from a designated origin location'
'MANUAL' = 'MANUAL-Address manually matched to latitude and longitude'
'LOCALITY' =  'LOCALITY-A place name representing a populated place such as a city or neighborhood'
'POI' =  'POI-Points of interest such as businesses, landmarks, and geographic features'
'POINTADDRESS' =  'POINTADDRESS-A street address based on house and building point locations'
'POSTAL' =  'POSTAL-Postal (ZIP) code points'
'POSTALLOC' =  'POSTALLOC-A combination of postal (ZIP) code and city name'
'STREETADDRESS' =  'STREETADDRESS-An address number that is interpolated from the range of street segment address numbers'
'STREETADDRESSEXT' =  'STREETADDRESSEXT-An interpolated street address match when address number exceeds street segment number range'
'STREETINT' =  'STREETINT-A street address consisting of street intersection, city, and optional state and postal code'
'STREETNAME' =  'STREETNAME-An address that is interpolated from a matched street segment'
'SUBADDRESS' =  'SUBADDRESS-A street address based on house and building point subaddress locations'
;
run;
