*Purpose: Create formats for pls_fy22_outlet_pud22i;

proc format lib=work;
value $YESNO
'Y'	=	'Y-Yes'
'N'	=	'N-No'
;
value $MISSMF
'M'	=	'M-Missing'
;
value $PHONF
'-3'	=	'Temporarily closed outlet'
'-4'	=	'Not Applicable'
;
value $OUTF
'CE'	= 	'CE-Central Library'
'BR'	=	'BR-Branch Library'
'BS'	=	'BS-Bookmobile(s)'
'BM'	=	'BM-Books-by-Mail Only'
;
value SQFTF
-3		=	'-3-Temporarily closed outlet'
-1		=	'-1-Missing'
-4		=	'-4-Not applicable'
;
value $STATSF
'00'	=	'00-No change from last year'
'01'	=	'01-Existing administrative entity or outlet absorbs another administrative entity or outlet'
'02'	=	'02-Newly created administrative entity or outlet'
'03'	=	'03-Closed'
'04'	=	'04-Move outlet to a newly created administrative entity'
'05'	=	'05-Merge two or more administrative entities or outlets to form a new administrative entity or outlet'
'08'	=	'08-Restored a closed administrative entity or outlet record'
'09'	=	'09-Restored an incorrectly deleted administrative entity or outlet'
'10'	=	'10-Delete an incorrect record'
'11'	=	'11-Outlet moved to a different previously existing administrative entity'
'13'	=	'13-Add an existing administrative entity or outlet not previously reported'
'22'	=	'22-Future administrative entity FSCS ID Request'
'23'	=	'23-Temporary closure'
'24'	=	'24-Restore/Undo Was a 23 (Reopen a temporary closure)'
'25'    =   '25-Survey nonrespondent'
;
value $STATNF
'00'	=	'00-No change from last year'
'06'	=	'06-Official name change'
'14'	=	'14-Minor name change'
;
value $STATAF
'00'	=	'00-No change from last year'
'07'	=	'07-Moved to a new location'
'15'	=	'15-Minor address change'
;
value $LOCALF
'M'		=	'M-Missing'
'11'	=	'11-City, Large'
'12'	=	'12-City, Mid-size'
'13'	=	'13-City, Small'
'21'	=	'21-Suburb, Large'
'22'	=	'22-Suburb, Mid-size'
'23'	=	'23-Suburb, Small'
'31'	=	'31-Town, Fringe'
'32'	=	'32-Town, Distant'
'33'	=	'33-Town, Remote'
'41'	=	'41-Rural, Fringe'
'42'	=	'42-Rural, Distant'
'43'	=	'43-Rural, Remote'
;
value LONF
other	=   [13.7]
;
value LATF
other	=   [11.7]
;
value $MICMETF
'N'	=	'Not applicable'
'0'	=	'0-Micropolitan area'
'1'	=	'1-Metropolitan area'
;
value MISS1F
-1	=	'-1-Missing'
;
value MISS3F
-1	=	'-1-Missing'
-3	=	'-3-Temporarily closed outlet'
;
value CENF
-1	=	'-1-Missing'
-4  = 	'-4-Not applicable'
;
value $IMPF
'R_22'	=	'R_22-Data were reported and not imputed'
'IP18'	=	'IP18-Data carried forward'
'IP19'	=	'IP19-Data carried forward'
'IP20'	=	'IP20-Data carried forward'
'IP21'	=	'IP21-Data carried forward'
'U_22'	=	'U_22-Not imputed (i.e., outlying area or temporarily closed)'
'M_22' = 	'M_22-Not imputed-insufficient prior year data'
'N_22' =  	'N_22-Not imputed (i.e., not applicable)'
'E_22' =  	'E_22-Data were reported and edited for logical consistency'
;
value $OBERGF
'01'	=	'01-New England (CT ME MA NH RI VT)'
'02'	=	'02-Mid East (DE DC MD NJ NY PA)'
'03'	=	'03-Great Lakes (IL IN MI OH WI)'
'04'	=	'04-Plains (IA KS MN MO NE ND SD)'
'05'	=	'05-Southeast (AL AR FL GA KY LA MS NC SC TN VA WV)'
'06'	=	'06-Southwest (AZ NM OK TX)'
'07'	=	'07-Rocky Mountains (CO ID MT UT WY)'
'08'	=	'08-Far West (AK CA HI NV OR WA)'
'09'	=	'09-Outlying Areas (AS GU MP PR VI)'
;
value $GEOSTAF
'E' = 'E-Matched'
'U' = 'U-Unmatched'
'T' = 'T-Tied' 
;
value $GEOMT
'DISTANCEMARKER' =  'DISTANCEMARKER-A street address that represents the linear distance along a street from a designated origin location'
'MANUAL' = 'MANUAL-Address manually matched to latitude and longitude'
'LOCALITY' =  'LOCALITY-A place name representing a populated place such as a city or neighborhood'
'POI' =  'POI-Points of interest such as businesses, landmarks, and geographic features'
'POINTADDRESS' =  'POINTADDRESS-A street address based on house and building point locations'
'POSTAL' =  'POSTAL-Postal (ZIP) code points'
'POSTALLOC' =  'POSTALLOC-A combination of postal (ZIP) code and city name'
'STREETADDRESS' =  'STREETADDRESS-An address number that is interpolated from the range of street segment address numbers'
'STREETADDRESSEXT' =  'STREETADDRESSEXT-An interpolated street address match when address number exceeds street segment number range'
'STREETINT' =  'STREETINT-A street address consisting of street intersection, city, and optional state and postal code'
'STREETNAME' =  'STREETNAME-An address that is interpolated from a matched street segment'
'SUBADDRESS' =  'SUBADDRESS-A street address based on house and building point subaddress locations'
;
run;
